EDIT - bug #7710

Server info is missing in case of RemoteAccessException
08/30/2018 01:30 PM - Patrick Plitzner

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

The method MessagingUtils.getContextinfo() generates the info.

It seems like CdmStore.getActiveCdmSource() returns null and that's why the info is not generated.

We may need to store the info on the client side once loaded.

login

editor version : 5.2.1

server : ()

schema version

os : Windows 10 10.0 amdé64

java : 1.8.0_171

org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service a
t [http://api.cybertaxonomy.org:80/caryo_nepenthaceae/remoting/name.service]; nested exception is

java.lang.NullPointerException

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHtt
pInvokerAccessException (HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Htt
pInvokerClientInterceptor.java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveM
ethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. j
ava:208)

at com.sun.proxy.S$Proxy57.findByTitle (Unknown Source)
at eu.etaxonomy.taxeditor.store.SearchManager.findNames (SearchManager. java:62)

at eu.etaxonomy.taxeditor.bulkeditor.input.NameEditorInput.listEntities (NameEditorI
nput.java:91)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.lambda$0 (Abstrac
tBulkEditorInput.java:219)

at org.eclipse.core.runtime. jobs.Job$2.run (Job.java:186)

at org.eclipse.core.internal. jobs.Worker.run (Worker. java:55)
#1 - 01/20/2020 04:09 PM - Andreas Kohlbecker

- Tags set to RemoteAccessException

#2 - 04/21/2020 12:21 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther
